![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/arc-wide-banner-new.png)

-----

![](https://gitlab.com/LinxGem33/Arc-Menu/raw/master/screenshots/browser.png)

-----
### Introduction

Arc Menu is a Gnome shell extension designed to replace the standard menu found in Gnome 3 this application menu extension has  some added benefits over the standard menu found in Gnome 3, these include the long awaited search functionality as well as quick access to files on your system and also the current logged in user along with quick access to the software centre and system settings and other features which can be accessed from the settings menu.

-----

### Development Roadmap !

If your interested to see the current development cycle of Arc menu or the current status of a particular feature in development then head over to the new Development Roadmap page which will give you a idea of what’s planned or what’s currently being developed by the Arc menu team the link is below.

Please see the: [Development Roadmap Page](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home)

-----

### Volunteers needed!

This extension could be even better with your help! Any items in the issue tracker labelled **help wanted** or **good first issue** are open for contribution and help. For more info, see the [Contributing wiki page](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home) for more details on current issues or features which need your help.

-----

|Arc Menu integrated with Dash-to-Dock|Arc Menu integrated with Dash-to-Panel|
|:-----:|:-----:|
|![](https://gitlab.com/LinxGem33/Arc-Menu/raw/master/screenshots/apm3.png)|![](https://gitlab.com/LinxGem33/Arc-Menu/raw/master/screenshots/apm5.png)|
|Click image to enlarge|Click image to enlarge|

-----

### Installation

You can now install this extension from extensions.gnome.org as a one click install just click on the link below
> [One Click Install](https://extensions.gnome.org/extension/1228/arc-menu/)

-----

### Dependencies

__Please note:__ For Arc-Menu to work properly, your GNOME Desktop must have the
following dependencies installed.

|On Ubuntu/Debian based systems||On Arch based systems||
|-----|:-----:|-----|:-----:|
|gnome-shell-extensions|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|gnome-shell-extensions|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|gnome-tweak-tool|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|gnome-tweak-tool|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|gnome-menus|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|gnome-menus|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|gnome-session|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)

-----

### Manual Installation
For installing Arc-Menu manually from source;

Please take a look at the [Manual Installation Guide](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home) 
on the Arc-Menu Wiki.

-----

### Wiki Guide

If you have any issues with regard to Arc menu and your unsure of a certain feature or just want to know more about Arc menu, then the Arc menu wiki guide is a good place to start.

Please refer to the Arc menu [Wiki Guide](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home) 

-----

### Bugs

Bugs should be reported [here](https://gitlab.com/LinxGem33/Arc-Menu/issues) on the Github issues page.

-----

### Conduct

There are basic rules of conduct that should be followed at all times by everyone participating in the discussions.  While this is generally a relaxed environment, please remember the following:

- Do not insult, harass, or demean anyone.
- Do not intentionally multi-post an issue.
- Do not use ALL CAPS when creating an issue report.
- Do not repeatedly update an open issue remarking that the issue persists.

**Remember**: Just because the issue you reported was reported here does not mean that it is an issue with Arc menu. As well, should your issue not be resolved immediately, it does not mean that a resolution is not being researched or tested. Patience is always appreciated.

-----

Please refer to the Wiki section for a guide on: [Reporting Bugs](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home)

Please note that without any information about your system, the Arc Menu Team can only speculate what the problem is.
So, please provide us information about your GNU/Linux distribution and the GNOME Shell version. Otherwise, we are not able to try and solve your problem.

-----

[![GNU GPL Image](https://www.gnu.org/graphics/slickgnu.tiny.png)](http://www.gnu.org/licenses/old-licenses/lgpl-2.0.html)  
### License & Terms ![](https://gitlab.com/LinxGem33/IP-Finder/raw/master/screens/Copyleft-16.png)

Arc Menu is available under the terms of the GPL-2.0 license See [`COPYING`](https://gitlab.com/LinxGem33/Arc-Menu/blob/master/COPYING) for details.

Arc-Menu is Free Software: You can use, study share and improve it at your will. Specifically you can redistribute and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl.html) as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version. 

-----

### Credits

This extension leverages some of the work from [Zorin OS menu](https://zorinos.com/).

Additional credits: This extension also leverages the work from [Giovanni Campagna ](https://git.gnome.org//browse/gnome-shell-extensions) gnome Application Menu used in [Gnome 3](https://www.gnome.org/) to allow the menu to be embedded in the Gnome main panel.

-----

### Current Active Developers


|Developer|Current Task|Status|Short/Bio|
|:-----:|:-----:|:-----:|:-----:|
|@[LinxGem33](https://gitlab.com/LinxGem33)|Maintainer - Developer - Digital Art Designer|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/in-progress.png)|Hi I'm LinxGem33 aka Andy and the founder of Arc menu, my role on the project is to manage and plan the technical and digital production and distribution of the Arc menu software, as you can imagine I’m a open source and Linux software enthusiast as well as a digital art designer and amateur GTK3 theme developer,I also like to contribute to other projects where i can. |
|||||


|Status|Active|Unavailable|Inactive|
|-----|:-----:|:-----:|:-----:|
|Status icon|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/in-progress.png)|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/refused.svg.png)|
|Explanation|Active means the developer is maintaining and offering support.|Unavailable means that the developer is no longer adding code or offering support but is still excepting pull requests.|Inactive means there is no code being added or support offered and is no longer accepting pull requests.|

-----

### Top Project Contributors

#### @[lexruee](https://github.com/lexruee) - **Project Developer** - UI/UX Designer

#### @[Thomas Ingvarsson](https://gitlab.com/tingvarsson) - **Project Contributor** - Developer
-----

### Technical Advisors

-----

### Pull Requests

#### Thanks to the following people for contributing via pull requests:

- @[fishears](https://github.com/fishears/Arc-Menu) (1) compiling the schema's (2) Added suspend button and re-order buttons
- @[JasonLG1979](https://github.com/JasonLG1979)  (1) menu style fix, (2) Asynchronously set an icon and handle errors
- @[itmitica](https://github.com/itmitica) (1) icon symbolic

#### Bug Fixes:

- @[JasonLG1979](https://github.com/JasonLG1979) (1) menu style fix
- @[lexruee](https://github.com/lexruee/Arc-Menu) (1) correctly restore the Activities button
- @[charlesg99](https://github.com/charlesg99) (1) Disconnect height notification signal ,(2) Prevent duplicate destruction of the menu sections

-----

#### Please refer to the Wiki section for a [Translation Guide](https://gitlab.com/LinxGem33/Arc-Menu/wikis/home)

|Contributor|Language|Translated|Contributor|Language|Translated|
|:-----|:-----|:-----:|:-----|:-----|:-----:|
|@[h3r0n](https://github.com/h3r0n)|Italian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[megasyl](https://github.com/megasyl) > updated by @[16NoCo](https://github.com/16NoCo)|French|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|@[pkomur](https://github.com/pkomur) > updated by @[Ixoos](https://github.com/Ixoos)|Polish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[madaramost](https://github.com/madaramost)|Arabic|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|@[danielstuart14](https://github.com/danielstuart14)|Brazilian portuguese|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)||Chinese|
|@[zakkak](https://github.com/zakkak)|Greek|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[mjtullio](https://github.com/mjtullio)|Spanish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|@[mrprobot](https://github.com/mrprobot)|German|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[saisasidhar](https://github.com/saisasidhar)|Hindi|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
||Portuguese|||Bengali||
|@[elsieholmes](https://github.com/elsieholmes)|Russian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)||Japanese||
|@[MorganAntonsson](https://github.com/MorganAntonsson)|Swedish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)||Dutch||
|@[neynefes](https://github.com/neynefes)|Turkish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)||Javanese||
|@[elsieholmes](https://github.com/elsieholmes)|Ukrainian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[PSSGCSim](https://github.com/PSSGCSim)|Czech|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|@[ipanamski](https://github.com/ipanamski)|Bulgarian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[muhfajar](https://github.com/muhfajar) > updated by @[emhaye](https://github.com/emhaye)|Indonesian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)
|@[artnay](https://github.com/artnay)|Finnish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|@[Lrss](https://github.com/Lrss)|Danish|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)|
|@[Faenriis](https://github.com/Faenriis)|Serbian|![](https://gitlab.com/LinxGem33/Neon/raw/master/artwork/done.svg.png)||||

-----

 ![](https://img.shields.io/badge/Language-JavaScript-yellow.svg) ![](https://img.shields.io/badge/Licence-GPL--2.0-blue.svg)
